Subject: Re: Unexpected EOF in 7.2.0

From: Sergey Matveev <[email-masked]>
Date: Sat, 10 Jul 2021 10:38:51 +0300

Greetings!

*** John Goerzen [2021-07-09 15:23]:
>The packet was generated on a Raspberry Pi (32-bit ARM userland), is 3GB in
>size, and is being processed on an x86_64 machine (64-bit userland).
>pktEncRead: Making LimitedReader, size: -1097891139

Currently I did not investigate that, but when you talked about 3GB
sizes my first thought was about 32-bits indeed. Negative size in your
output confirms that.

I quickly looked at the code and indeed see some places with plain
"int"s, instead of "int64"s. I hoped that noone will use 32-bit system
anymore :-). Thank you very very much for that report! I will create
32-bit system in VM and will check its workability there. Hope that
today I will fix that.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF